Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.extension
Class ExImageCanvas

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--ij.gui.ImageCanvas
                        |
                        +--jm.extension.ExImageCanvas

All Implemented Interfaces:
  javax.accessibility.Accessible, java.lang.Cloneable, java.awt.event.ComponentListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.event.KeyListener, java.awt.MenuContainer, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.io.Serializable

public class ExImageCanvas
extends ij.gui.ImageCanvas
implements java.awt.event.ComponentListener, java.awt.event.KeyListener

Diese Klasse erweitert den ImageCanvas von ImageJ.
Zur Darstellung der Nierenserien werden verschiedene zusaetzliche Anzeigen benoetigt: Aufnahmezeitpunkt, Ergebnis der Verschiebungkorrektur, sowie 4 zusaetzliche Buttons und 1 zusaetzlicher CheckButton pro Bildhaelfte.

See Also:
  `AwtToolTip`, `AwtToolTipHelper`, `AddRoiDialog`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`AwtToolTip` | `awtToolTip`
`static int` | `MAXROIS`

Fields inherited from class ij.gui.ImageCanvas
`crosshairCursor, defaultCursor, handCursor, imageUpdated, imp, moveCursor, usePointer`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExImageCanvas(ij.ImagePlus imp)` Der Konstruktor.

Method Summary
`void` | `addToRoiArray(int slice, int half, int tissue, ij.gui.Roi roi)` Fuegt eine uebergenen ROI einem ROI-Array entsprechend des uebergebenen Gewebetyps zu.
`void` | `addToRoiArray(int half, int tissue, ij.gui.Roi roi)` Fuegt eine uebergenen ROI einem ROI-Array entsprechend des uebergebenen Gewebetyps zu.
`void` | `componentHidden(java.awt.event.ComponentEvent e)` Faengt ComponentEvents ab.
`void` | `componentMoved(java.awt.event.ComponentEvent e)` Faengt ComponentEvents ab.
`void` | `componentResized(java.awt.event.ComponentEvent e)` Faengt ComponentEvents ab.
`void` | `componentShown(java.awt.event.ComponentEvent e)` Faengt ComponentEvents ab.
`void` | `deleteRois(int half, int tissue)` Loescht alle ROIs des angegebenen Gewebetyps fuer alle Halbbilder der Sequenz.
`boolean` | `endThreads()` Beendet die laufenden Threads (AwtToolTip!)
`boolean[][]` | `getEnabledForSIT()` Liefert ein Array von Booleans zurueck entsprechend der Zulassung der Bildhaeflten der ganzen Sequenz fuer die Berechnung der SIT-Kurven ROIs fuer die angegebene Bildhaelfte zurueck.
`ij.gui.Roi[]` | `getRoi(int half)` Liefert ein Array mit den Haupt-ROIs fuer die angegebene Bildhaelfte zurueck.
`ij.gui.Roi[][]` | `getRoi(int half, int tissue)` Liefert ein Array mit den Gewebespezifischen ROIs fuer die angegebene Bildhaelfte zurueck.
`void` | `keyPressed(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.
`void` | `keyReleased(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.
`void` | `keyTyped(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Faengt Mausklicks auf den Canvas ab.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Faengt Bewegungen der Maus ueber dem Canvas ab.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Faengt Mausklicks auf den Canvas ab.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Faengt Mausklicks auf den Canvas ab.
`void` | `paint(java.awt.Graphics g)` Ueberschreibung der Paint-Methode von ImageCanvas.
`void` | `setAcquisitionTime(java.lang.String[] data)` Setzt die angezeigten Aufnahmezeiten der Bilder.
`void` | `setCepstrumResult(int half, int slice, java.lang.String result)` Setzt die angezeigte Qualitaet (=Ergebnis) der Translationskorrektur
`void` | `setManualSelector(int half, boolean selected)` Zulassen aller Halbbilder zur Berechnung der SIT-Kurven
`void` | `setParent(AnalysisDialog dlg)` Setzt das Vater-Objekt zur einfacheren Uebernahme von Paramerten und Enstellungen
`void` | `setRoi(int slice, int half, ij.gui.Roi roi)` Setzt die Haupt-ROI fuer die ganze Niere fuer ein angegebenes Halbbild der Sequenz
`void` | `setRoi(int half, ij.gui.Roi roi)` Setzt die Haupt-ROI fuer die ganze Niere fuer alle Halbbilder der Sequenz
`void` | `setTextColor(java.awt.Color c)` Setzt die Farbe des Informationstextes auf dem Canvas

Methods inherited from class ij.gui.ImageCanvas
`getCursorLoc, getMagnification, getPreferredSize, getSrcRect, mouseDragged, mouseEntered, mouseExited, offScreenX, offScreenY, print, screenX, screenY, setCursor, setDrawingColor, setDrawingSize, setImageUpdated, setMagnification, update, zoomIn, zoomOut`

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAXROIS

    public static final int MAXROIS

See Also:
  Constant Field Values

### awtToolTip

    public AwtToolTip awtToolTip

Constructor Detail

### ExImageCanvas

    public ExImageCanvas(ij.ImagePlus imp)

  Der Konstruktor.

Parameters:
  `imp` - ImagePlus-Objekt von ImageJ

Method Detail

### setManualSelector

    public void setManualSelector(int half,
                                  boolean selected)

  Zulassen aller Halbbilder zur Berechnung der SIT-Kurven

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `selected` - setzt oder loescht die Zulassung

### setParent

    public void setParent(AnalysisDialog dlg)

  Setzt das Vater-Objekt zur einfacheren Uebernahme von Paramerten und Enstellungen

  Parameters:
    `dlg` - AnalysisDialog
  See Also:
    `AnalysisDialog`

### setRoi

    public void setRoi(int half,
                       ij.gui.Roi roi)

  Setzt die Haupt-ROI fuer die ganze Niere fuer alle Halbbilder der Sequenz

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `roi` - Region of Interest

### setRoi

    public void setRoi(int slice,
                       int half,
                       ij.gui.Roi roi)

  Setzt die Haupt-ROI fuer die ganze Niere fuer ein angegebenes Halbbild der Sequenz

  Parameters:
    `slice` - Nummer des Bildes
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `roi` - Region of Interest

### addToRoiArray

    public void addToRoiArray(int slice,
                              int half,
                              int tissue,
                              ij.gui.Roi roi)

  Fuegt eine uebergenen ROI einem ROI-Array entsprechend des uebergebenen Gewebetyps zu. Gilt fuer ein angegebenes Halbbild der Sequenz.

  Parameters:
    `slice` - Nummer des Bildes
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `tissue` - Gewebetyp
    `roi` - Region of Interest

### addToRoiArray

    public void addToRoiArray(int half,
                              int tissue,
                              ij.gui.Roi roi)

  Fuegt eine uebergenen ROI einem ROI-Array entsprechend des uebergebenen Gewebetyps zu. Gilt fuer alle Halbbild der Sequenz.

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `tissue` - Gewebetyp
    `roi` - Region of Interest

### deleteRois

    public void deleteRois(int half,
                           int tissue)

  Loescht alle ROIs des angegebenen Gewebetyps fuer alle Halbbilder der Sequenz.

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `tissue` - Typ des Gewebes

### getRoi

    public ij.gui.Roi[] getRoi(int half)

  Liefert ein Array mit den Haupt-ROIs fuer die angegebene Bildhaelfte zurueck.

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
  Returns:
    Roi Array mit Roi-Objekten, eindimensional

### getRoi

    public ij.gui.Roi[][] getRoi(int half,
                                 int tissue)

  Liefert ein Array mit den Gewebespezifischen ROIs fuer die angegebene Bildhaelfte zurueck.

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `tissue` - Gewebetyp
  Returns:
    Roi Array mit Roi-Objekten, zweidimensional

### getEnabledForSIT

    public boolean[][] getEnabledForSIT()

  Liefert ein Array von Booleans zurueck entsprechend der Zulassung der Bildhaeflten der ganzen Sequenz fuer die Berechnung der SIT-Kurven ROIs fuer die angegebene Bildhaelfte zurueck.

  Returns:
    boolean Array mit Zulassungswerten (Boolean), zweidimensional

### setAcquisitionTime

    public void setAcquisitionTime(java.lang.String[] data)

  Setzt die angezeigten Aufnahmezeiten der Bilder.

  Parameters:
    `data` - String-Array mit den am unteren Bildrand angezeigten Zeit-Strings

### setCepstrumResult

    public void setCepstrumResult(int half,
                                  int slice,
                                  java.lang.String result)

  Setzt die angezeigte Qualitaet (=Ergebnis) der Translationskorrektur

  Parameters:
    `half` - Bildhaelfte (0 = links, 1 = rechts)
    `slice` - Nummer des Bildes
    `result` - String entsprechend der Korrektur-Qualitaet

### setTextColor

    public void setTextColor(java.awt.Color c)

  Setzt die Farbe des Informationstextes auf dem Canvas

  Parameters:
    `c` - Farbe

### paint

    public void paint(java.awt.Graphics g)

  Ueberschreibung der Paint-Methode von ImageCanvas. Realisiert die erweiterte Informationsdarstellung auf dem Canvas sowie die zusaetzlichen Buttons.

  Overrides:
    `paint` in class `ij.gui.ImageCanvas`
  Parameters:
    `g` - Graphics-Objekt

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Faengt Mausklicks auf den Canvas ab.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `ij.gui.ImageCanvas`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Faengt Mausklicks auf den Canvas ab.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `ij.gui.ImageCanvas`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Faengt Mausklicks auf den Canvas ab. In dieser Methode wird festgestellt, auf welche der Schaltflaechen geklickt wurde.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `ij.gui.ImageCanvas`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Faengt Bewegungen der Maus ueber dem Canvas ab. Wird insbesondere zur korrekten Anzeige von ToolTips benoetigt.

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `ij.gui.ImageCanvas`
  Parameters:
    `e` - MouseEvent, durch die Bewegungen der Maus verursacht.

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Faengt ComponentEvents ab. Dies ist noetig, um die aktuellen Ausmasse des Fensters zur Laufzeit immer zu kennen. Nur dann kann die GUI exakt upgedated werden.

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`
  Parameters:
    `e` - ComponentEvent, durch Veraenderungen des Fensters ausgeloest

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Faengt ComponentEvents ab. Dies ist noetig, um die aktuellen Ausmasse des Fensters zur Laufzeit immer zu kennen. Nur dann kann die GUI exakt upgedated werden.

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`
  Parameters:
    `e` - ComponentEvent, durch Veraenderungen des Fensters ausgeloest

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Faengt ComponentEvents ab. Dies ist noetig, um die aktuellen Ausmasse des Fensters zur Laufzeit immer zu kennen. Nur dann kann die GUI exakt upgedated werden.

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`
  Parameters:
    `e` - ComponentEvent, durch Veraenderungen des Fensters ausgeloest

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Faengt ComponentEvents ab. Dies ist noetig, um die aktuellen Ausmasse des Fensters zur Laufzeit immer zu kennen. Nur dann kann die GUI exakt upgedated werden.

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`
  Parameters:
    `e` - ComponentEvent, durch Veraenderungen des Fensters ausgeloest

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, ob die ALT- oder ENTF-Taste waehrend eines Mausklicks gedrueckt wurde.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, ob die ALT- oder ENTF-Taste waehrend eines Mausklicks gedrueckt wurde.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, ob die ALT- oder ENTF-Taste waehrend eines Mausklicks gedrueckt wurde.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

### endThreads

    public boolean endThreads()

  Beendet die laufenden Threads (AwtToolTip!)

  Returns:
    boolean true, wenn der Vorgang erfolgreich war.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD